com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.util

## Class FlowdiagramSwitch

- java.lang.Object
- - com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.util.FlowdiagramSwitch

-     public class FlowdiagramSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `FlowdiagramPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static FlowdiagramPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowdiagramSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseActivityShape(ActivityShape object)` Returns the result of interpreting the object as an instance of 'Activity Shape'
    `java.lang.Object` | `caseAnnotatable(Annotatable object)` Returns the result of interpreting the object as an instance of 'Annotatable'
    `java.lang.Object` | `caseAnnotation(Annotation object)` Returns the result of interpreting the object as an instance of 'Annotation'
    `java.lang.Object` | `caseCorticonObject(CorticonObject object)` Returns the result of interpreting the object as an instance of 'Corticon Object'
    `java.lang.Object` | `caseDecisionEdge(DecisionEdge object)` Returns the result of interpreting the object as an instance of 'Decision Edge'
    `java.lang.Object` | `caseDecisionShape(DecisionShape object)` Returns the result of interpreting the object as an instance of 'Decision Shape'
    `java.lang.Object` | `caseFlowDiagram(FlowDiagram object)` Returns the result of interpreting the object as an instance of 'Flow Diagram'
    `java.lang.Object` | `caseFlowEdge(FlowEdge object)` Returns the result of interpreting the object as an instance of 'Flow Edge'
    `java.lang.Object` | `caseFlowShape(FlowShape object)` Returns the result of interpreting the object as an instance of 'Flow Shape'
    `java.lang.Object` | `caseInitiateShape(InitiateShape object)` Returns the result of interpreting the object as an instance of 'Initiate Shape'
    `java.lang.Object` | `caseLoopbackEdge(LoopbackEdge object)` Returns the result of interpreting the object as an instance of 'Loopback Edge'
    `java.lang.Object` | `caseRuleflowView(RuleflowView object)` Returns the result of interpreting the object as an instance of 'View'
    `java.lang.Object` | `caseTerminateShape(TerminateShape object)` Returns the result of interpreting the object as an instance of 'Terminate Shape'
    `java.lang.Object` | `caseValidatableObject(ValidatableObject object)` Returns the result of interpreting the object as an instance of 'Validatable Object'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static FlowdiagramPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### FlowdiagramSwitch

          public FlowdiagramSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseFlowDiagram

          public java.lang.Object caseFlowDiagram(FlowDiagram object)

      Returns the result of interpreting the object as an instance of 'Flow Diagram'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Flow Diagram'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFlowShape

          public java.lang.Object caseFlowShape(FlowShape object)

      Returns the result of interpreting the object as an instance of 'Flow Shape'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Flow Shape'.
      See Also:
        `doSwitch(EObject)`

    - #### caseActivityShape

          public java.lang.Object caseActivityShape(ActivityShape object)

      Returns the result of interpreting the object as an instance of 'Activity Shape'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Activity Shape'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecisionShape

          public java.lang.Object caseDecisionShape(DecisionShape object)

      Returns the result of interpreting the object as an instance of 'Decision Shape'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decision Shape'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTerminateShape

          public java.lang.Object caseTerminateShape(TerminateShape object)

      Returns the result of interpreting the object as an instance of 'Terminate Shape'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Terminate Shape'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFlowEdge

          public java.lang.Object caseFlowEdge(FlowEdge object)

      Returns the result of interpreting the object as an instance of 'Flow Edge'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Flow Edge'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecisionEdge

          public java.lang.Object caseDecisionEdge(DecisionEdge object)

      Returns the result of interpreting the object as an instance of 'Decision Edge'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decision Edge'.
      See Also:
        `doSwitch(EObject)`

    - #### caseInitiateShape

          public java.lang.Object caseInitiateShape(InitiateShape object)

      Returns the result of interpreting the object as an instance of 'Initiate Shape'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Initiate Shape'.
      See Also:
        `doSwitch(EObject)`

    - #### caseLoopbackEdge

          public java.lang.Object caseLoopbackEdge(LoopbackEdge object)

      Returns the result of interpreting the object as an instance of 'Loopback Edge'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Loopback Edge'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleflowView

          public java.lang.Object caseRuleflowView(RuleflowView object)

      Returns the result of interpreting the object as an instance of 'View'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'View'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValidatableObject

          public java.lang.Object caseValidatableObject(ValidatableObject object)

      Returns the result of interpreting the object as an instance of 'Validatable Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validatable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotation

          public java.lang.Object caseAnnotation(Annotation object)

      Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotatable

          public java.lang.Object caseAnnotatable(Annotatable object)

      Returns the result of interpreting the object as an instance of 'Annotatable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotatable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCorticonObject

          public java.lang.Object caseCorticonObject(CorticonObject object)

      Returns the result of interpreting the object as an instance of 'Corticon Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Corticon Object'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.